/*
 *  This file is part of "Ménapien !",
 *  a web-based self-learning applications framework.
 *
 *  Copyright (C) 2007-2008 Olivier Jacquemin.
 *
 *  "Ménapien !" is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  "Ménapien !" is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program: see the file COPYING.txt.  If not, see
 *  http://www.gnu.org/licenses/.
 */

/*extern Parameter */

function NaturalParameter(id, description) {
    this.id = id;
    this.description = description;
    this.value = null;
}

NaturalParameter.prototype = new Parameter();
NaturalParameter.prototype.constructor = NaturalParameter;

function NaturalParameter_setValue(value) {
    this.value = value - 0;

    if (isNaN(this.value)) {
        throw "Invalid value for " + this.id + " parameter: " +
            value +
            "\n(should be a natural integer)";
    }
}

NaturalParameter.prototype.setValue = NaturalParameter_setValue;
