/*
 *  This file is part of "Ménapien !",
 *  a web-based self-learning applications framework.
 *
 *  Copyright (C) 2007-2008 Olivier Jacquemin.
 *
 *  "Ménapien !" is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  "Ménapien !" is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program: see the file COPYING.txt.  If not, see
 *  http://www.gnu.org/licenses/.
 */

/*extern Question */

function Subtraction(first, second) {
    this.first = first;
    this.second = second;
}

Subtraction.prototype = new Question();
Subtraction.prototype.constructor = Subtraction;


Subtraction.twoWays = false;

function Subtraction_getResult() {
    return this.second;
}

Subtraction.prototype.getResult = Subtraction_getResult;

function Subtraction_getStatement() {
    var sum = this.first + this.second;
    return sum + " - " + this.first + " = ";
}

Subtraction.prototype.getStatement = Subtraction_getStatement;

function Subtraction_isCorrect() {
    if (this.answeredValue === null ||
        this.answeredValue === undefined ||
        this.answeredValue === "") {
        return false;
    }

    var numericAnswer = this.answeredValue - 0;
    return (numericAnswer === this.getResult());
}

Subtraction.prototype.isCorrect = Subtraction_isCorrect;

function Subtraction_equals(subt) {
    return ((this.first === subt.first) && (this.second === subt.second));
}

Subtraction.prototype.equals = Subtraction_equals;
