/*
 *  This file is part of "Ménapien !",
 *  a web-based self-learning applications framework.
 *
 *  Copyright (C) 2007-2008 Olivier Jacquemin.
 *
 *  "Ménapien !" is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  "Ménapien !" is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program: see the file COPYING.txt.  If not, see
 *  http://www.gnu.org/licenses/.
 */

function Tester(questionsGenerator) {
    this.numberOfQuestions = questionsGenerator.maxDifferentQuestions;
    this.questions = questionsGenerator.generateQuestions(this.numberOfQuestions);

    this.current = -1;
}

function Tester_answerCurrent(value) {
    var currentQuestion = this.questions[this.current];
    currentQuestion.answer(value);
    return currentQuestion.isCorrect();
}

Tester.prototype.answerCurrent = Tester_answerCurrent;

function Tester_nextQuestion() {
    this.current += 1;
    return this.questions[this.current].ask();
}

Tester.prototype.nextQuestion = Tester_nextQuestion;

function Tester_lastReached() {
    return (this.current === this.numberOfQuestions - 1);
}

Tester.prototype.lastReached = Tester_lastReached;

function Tester_getCurrentQuestionCorrection() {
    var currentQuestion = this.questions[this.current];
    return currentQuestion.ask() + currentQuestion.getResult();
}

Tester.prototype.getCurrentQuestionCorrection = Tester_getCurrentQuestionCorrection;